import gtk
import util
import pango

class CounterExampleViewer(object):

    def __init__(self, counterexample):

        self.cex = counterexample
        textview = gtk.TextView()
        textview.set_editable(False)
        textview.set_wrap_mode(gtk.WRAP_NONE)
        textview.set_left_margin(util.BORDER_WIDTH)
        textview.modify_font(pango.FontDescription("Monospace"))
        textbuffer = textview.get_buffer()
        textbuffer.set_text(str(self.cex))
        textview.show()
        self.widget = textview
        
    def getWidget(self):
        return self.widget
