# represents an object's authority
class Authority(object):

    # takes the object's authority of the different kinds. None indicates
    # that we aren't interested in this type of authority.
    # perms -- acquirable permissions
    # [wsd][pn]c -- [weak strong direct] [positive negative] causation
    def __init__(self, perms, wpc, wnc, spc, snc, dpc, dnc):
        self.perms = perms
        self.wpc = wpc
        self.wnc = wnc
        self.spc = spc
        self.snc = snc
        self.dpc = dpc
        self.dnc = dnc

